# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/ti,pruss-ecap.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments PRU-ICSS Enhanced Capture (eCAP) event module

maintainers:
  - Murali Karicheri <m-karicheri2@ti.com>
  - Parvathi Pudi <parvathi@couthit.com>
  - Basharath Hussain Khaja <basharath@couthit.com>

properties:
  compatible:
    const: ti,pruss-ecap

  reg:
    maxItems: 1

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    pruss2_ecap: ecap@30000 {
        compatible = "ti,pruss-ecap";
        reg = <0x30000 0x60>;
    };
